Bug 825115

Summary: [RFE] [kn_IN] Lohit Kannada glyphs of consonants with vowel signs -II, -EE, -OO and -AI should be optimized
Product: [Fedora] Fedora Reporter: Shriramana Sharma <samjnaa>
Component: lohit-kannada-fontsAssignee: Pravin Satpute <psatpute>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fonts-bugs, i18n-bugs, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Shriramana Sharma 2012-05-25 03:08:53 EDT
Description of problem:

Currently the Lohit Kannada fonts unnecessarily contain separate glyphs for consonants with vowel signs -II, -EE, -OO and -AI. These are merely sequences of other glyphs.

In the case of -II, -EE, -OO the glyphs are the same as those of the corresponding short vowels plus a separate glyph 0CD5 Kannada Length Mark ೕ (unlike in Telugu where the length mark ligates with the syllable). Therefore instead of doing substitutions of:

CONSONANT + VOWEL_SIGN_II/EE/OO --> CONSONANT_VOWELSIGN_II/EE/OO

the optimized way would be to do:

CONSONANT + VOWEL_SIGN_II/EE/OO --> CONSONANT_VOWELSIGN_I/E/O LENGTH_MARK

If this is done, any changes that are reflected on the CONSONANT_VOWELSIGN_I/E/O glyphs would automatically reflect for the long vowels as well without additional work being needed. For instance, see my recent report of bug 825104. If that bug is fixed for short vowels I, E and O, automatically it would reflect for II, EE and OO also.

As for -AI, it is merely sequence of glyph for -E plus 0CD6 Kannada AI Length Mark ೖ. So instead of doing substitutions of:

CONSONANT + VOWEL_SIGN_AI --> CONSONANT_VOWELSIGN_AI

the optimized way would be to do:

CONSONANT + VOWEL_SIGN_AI --> CONSONANT_VOWELSIGN_E AI_LENGTH_MARK

with same benefits as above.

Further, when handling combinations of:

CONSONANT1 + VIRAMA + CONSONANT2 + VOWEL_SIGN_II/EE/OO/AU

by separating the length mark as recommended here, the sub-base form of CONSONANT2 can be placed closer to the base CONSONANT1 which is also typographically a desirable factor in a good font. The rules would be:

CONSONANT1 + VIRAMA + CONSONANT2 + VOWEL_SIGN_II/EE/OO/AU --> CONSONANT1_VOWEL_SIGN_I/E/O + SUB_BASE_CONSONANT_2 + (AI_)LENGTH_MARK

Version-Release number of selected component (if applicable):

2.5.1

How reproducible:

Examine the internals of Lohit Kannada font.

Actual results:

Currently there are separate glyphs for consonants with vowel signs -II, -EE, -OO and -AI unnecessarily. These are merely sequences of other glyphs. Therefore any change effected on the component glyphs has to be re-done here.

Expected results:

The superfluous glyphs should be removed and the appropriate effect should be achieved by appropriate smartfont rules as indicated above.

Additional info:

This would also reduce the size of the font. Not an issue on laptops/desktops but nowadays Lohit fonts are finding their way into smaller screens such as smartphones, and it would be good to have a trim font with small footprint.
Comment 1 Pravin Satpute 2012-06-04 05:43:28 EDT
Yes agree looks very logical. I have not looked into this area. But yes i will optimize it as much as possible without any regression.
Comment 2 Fedora End Of Life 2013-01-16 12:03:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-12-21 03:36:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Pravin Satpute 2013-12-22 22:45:05 EST
Thanks Shriramana. We are working targeting this improvement in lohit2.